# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.project_api import ProjectApi  # noqa: E501
from swagger_client.rest import ApiException


class TestProjectApi(unittest.TestCase):
    """ProjectApi unit test stubs"""

    def setUp(self):
        self.api = ProjectApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_add_application_deployment_to_project(self):
        """Test case for add_application_deployment_to_project

        Add application deployment to project  # noqa: E501
        """
        pass

    def test_add_connector_to_project(self):
        """Test case for add_connector_to_project

        Create a new connector to project  # noqa: E501
        """
        pass

    def test_add_data_source_to_project(self):
        """Test case for add_data_source_to_project

        Add new datasource in project  # noqa: E501
        """
        pass

    def test_add_dataset_file_to_project(self):
        """Test case for add_dataset_file_to_project

        Add new dataset from file in project  # noqa: E501
        """
        pass

    def test_add_dataset_from_data_source_to_project(self):
        """Test case for add_dataset_from_data_source_to_project

        Add new dataset from datasource in project  # noqa: E501
        """
        pass

    def test_add_image_folder_to_project(self):
        """Test case for add_image_folder_to_project

        Add new image-folder in project  # noqa: E501
        """
        pass

    def test_add_model_deployment_to_project(self):
        """Test case for add_model_deployment_to_project

        Add model deployment to project  # noqa: E501
        """
        pass

    def test_add_pipeline_component_to_project(self):
        """Test case for add_pipeline_component_to_project

        Add pipeline-component to project  # noqa: E501
        """
        pass

    def test_add_pipeline_run_to_project(self):
        """Test case for add_pipeline_run_to_project

        Add pipeline-run to project  # noqa: E501
        """
        pass

    def test_add_pipeline_to_project(self):
        """Test case for add_pipeline_to_project

        Add pipeline to project  # noqa: E501
        """
        pass

    def test_add_user_in_project(self):
        """Test case for add_user_in_project

        Add new user in project  # noqa: E501
        """
        pass

    def test_create_experiment(self):
        """Test case for create_experiment

        Create experiment  # noqa: E501
        """
        pass

    def test_create_project(self):
        """Test case for create_project

        Create a new project  # noqa: E501
        """
        pass

    def test_edit_project(self):
        """Test case for edit_project

        Edit project  # noqa: E501
        """
        pass

    def test_get_application_deployments_by_project(self):
        """Test case for get_application_deployments_by_project

        List project's application deployments  # noqa: E501
        """
        pass

    def test_get_connectors_by_project(self):
        """Test case for get_connectors_by_project

        List project connectors  # noqa: E501
        """
        pass

    def test_get_data_sources_by_project(self):
        """Test case for get_data_sources_by_project

        List project data-sources  # noqa: E501
        """
        pass

    def test_get_datasets_by_project(self):
        """Test case for get_datasets_by_project

        List project datasets  # noqa: E501
        """
        pass

    def test_get_experiments_by_project(self):
        """Test case for get_experiments_by_project

        List project experiments  # noqa: E501
        """
        pass

    def test_get_image_folder_by_project(self):
        """Test case for get_image_folder_by_project

        List project image-folders  # noqa: E501
        """
        pass

    def test_get_model_deployments_by_project(self):
        """Test case for get_model_deployments_by_project

        List project's model deployments  # noqa: E501
        """
        pass

    def test_get_pipeline_components_by_project(self):
        """Test case for get_pipeline_components_by_project

        List project's pipeline-components  # noqa: E501
        """
        pass

    def test_get_pipelines_by_project(self):
        """Test case for get_pipelines_by_project

        List project's pipeline  # noqa: E501
        """
        pass

    def test_get_pipelines_name_by_project(self):
        """Test case for get_pipelines_name_by_project

        List project's pipeline's names  # noqa: E501
        """
        pass

    def test_get_pipelines_run_by_project(self):
        """Test case for get_pipelines_run_by_project

        List project's pipeline-runs  # noqa: E501
        """
        pass

    def test_get_project_by_id(self):
        """Test case for get_project_by_id

        Find project by ID  # noqa: E501
        """
        pass

    def test_get_projects(self):
        """Test case for get_projects

        Returns list of projects  # noqa: E501
        """
        pass

    def test_get_users_project_by_id(self):
        """Test case for get_users_project_by_id

        Find project users  # noqa: E501
        """
        pass

    def test_projectsproject_id_exporters_get(self):
        """Test case for projectsproject_id_exporters_get

        get exporters in a project  # noqa: E501
        """
        pass

    def test_remove_user_in_project(self):
        """Test case for remove_user_in_project

        Remove user in project  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
